robohdrs(1)

NAME
robohdrs - insert ROBODoc headers to source code.

SYNOPSIS
robohdrs [options] <source file>

DESCRIPTION
robohdrs inserts ROBODoc headers to source code files. This program processes one source file at the time. Existing ROBODoc headers, if any, are not checked for. Beware since this may result in double headers. Current working directory should be the same as where the source file is located. By default NAME and SYNOPSIS items are included in the template header.

OPTIONS

-h  Show brief help on usage and exit.

-i  Specify an extra header item to be included in template header. Repeat if multiple extra items are desired.

-l  Specify source code language (default C/C++) Supported options are: fortran, fortran90, script, and tex.

-p  Specify project name for source file header.

-s  Include SOURCE item.

-t  Specify version control tag to be included in the main header.

-x  Specify path to ctags binary which is used.

EXAMPLES
    robohdrs -s -p myproj -i "MODIFICATION HISTORY" -i IDEAS test.c
Specifies project name myproj and inserts extra items MODIFICATION HISTORY, IDEAS, and SOURCE to all template headers (excluding source file header).
    robohdrs -s -p myproj -l script test.tcl
Insert headers to a Tcl/Tk script.

COPYRIGHT
Copyright © 2003 Frans Slothouber and Petteri Kettunen and Jacco van Weert.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
robodoc(1)